List likers of post
const url = 'https://api.fxbsky.app/2/status/bsky.app/3l6xyz/likes?count=20';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.fxbsky.app/2/status/bsky.app/3l6xyz/likes?count=20'Returns users who liked the given post, in the same envelope as FxTwitter-style user list results (code, results, cursor). Pagination uses Bluesky app.bsky.feed.getLikes: pass the prior cursor.bottom as the cursor query param. handle may be a handle or DID (did:plc:…). cursor.top is always null.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Example
bsky.appBluesky handle (e.g. user.bsky.social) or DID (did:plc:…)
Example
3l6xyzPost record key from the at:// URI
Query Parameters
Section titled “Query Parameters ”Page size (default 20)
Pagination cursor from prior response (cursor.bottom)
Responses
Section titled “ Responses ”User list page
object
object
Discriminator: full user profile (API v2).
object
object
Facet kind: e.g. url, mention, hashtag, bold, media, custom_emoji (Mastodon custom emoji image)
Start and end UTF-16 indices
object
object
object
object
object
object
Example
{ "results": [ { "type": "profile", "verification": { "type": "organization" } } ]}Invalid path or query parameters
object
Example
{ "code": 400}Post not found or list unavailable
object
object
Discriminator: full user profile (API v2).
object
object
Facet kind: e.g. url, mention, hashtag, bold, media, custom_emoji (Mastodon custom emoji image)
Start and end UTF-16 indices
object
object
object
object
object
object
Example
{ "results": [ { "type": "profile", "verification": { "type": "organization" } } ]}Upstream or processing error
object
object
Discriminator: full user profile (API v2).
object
object
Facet kind: e.g. url, mention, hashtag, bold, media, custom_emoji (Mastodon custom emoji image)
Start and end UTF-16 indices
object
object
object
object
object
object
Example
{ "results": [ { "type": "profile", "verification": { "type": "organization" } } ]}